Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3.binder
Class NodeCreateRuleProvider

    java.lang.Object
      org.apache.commons.digester3.binder.NodeCreateRuleProvider

All Implemented Interfaces:
  RuleProvider<NodeCreateRule>

    public final class NodeCreateRuleProvider

extends Object

Builder chained when invoking `LinkedRuleBuilder.createNode()`.

Since:
  3.0

Nested Class Summary
`static class` | `NodeCreateRuleProvider.NodeType` Enumeration that wraps admitted `Node` node constants.

Method Summary
`protected NodeCreateRule` | `createRule()` Provides an instance of `Rule`.
`R` | `get()` Provides an instance of `Rule`.
`String` | `getNamespaceURI()` Returns the namespace URI for which this Rule is relevant, if any.
`String` | `getPattern()` Returns the rule pattern associated to this builder.
`NodeCreateRuleProvider` | `ofType(NodeCreateRuleProvider.NodeType nodeType)` `NodeCreateRule` instance will be created either a DOM `Element` or a DOM `DocumentFragment`, depending on the value of the `nodeType` parameter.
`protected void` | `reportError(String methodChain, String message)`
`LinkedRuleBuilder` | `then()` Come back to the main `LinkedRuleBuilder`.
`NodeCreateRuleProvider` | `usingDocumentBuilder(DocumentBuilder documentBuilder)` `NodeCreateRule` instance will be created a DOM `Element`, but lets users specify the JAXP `DocumentBuilder` that should be used when constructing the node tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### ofType

    public NodeCreateRuleProvider ofType(NodeCreateRuleProvider.NodeType nodeType)

  `NodeCreateRule` instance will be created either a DOM `Element` or a DOM `DocumentFragment`, depending on the value of the `nodeType` parameter.

  Parameters:
    `nodeType` - the type of node to create, which can be either `Node.ELEMENT_NODE` or `Node.DOCUMENT_FRAGMENT_NODE`
  Returns:
    this builder instance

### usingDocumentBuilder

    public NodeCreateRuleProvider usingDocumentBuilder(DocumentBuilder documentBuilder)

  `NodeCreateRule` instance will be created a DOM `Element`, but lets users specify the JAXP `DocumentBuilder` that should be used when constructing the node tree.

  Parameters:
    `documentBuilder` - the JAXP `DocumentBuilder` to use
  Returns:
    this builder instance

### createRule

    protected NodeCreateRule createRule()

  Provides an instance of `Rule`. Must never return null.

  Returns:
    an instance of `Rule`.
  See Also:
    `get()`

### then

    public final LinkedRuleBuilder then()

  Come back to the main `LinkedRuleBuilder`.

  Returns:
    the main `LinkedRuleBuilder`

### getNamespaceURI

    public final String getNamespaceURI()

  Returns the namespace URI for which this Rule is relevant, if any.

  Returns:
    The namespace URI for which this Rule is relevant, if any

### get

    public final R get()

  Provides an instance of `Rule`. Must never return null.

  Specified by:
    `get` in interface `RuleProvider<R extends Rule>`
  Returns:
    an instance of `Rule`.

### reportError

    protected final void reportError(String methodChain,
                                     String message)

### getPattern

    public final String getPattern()

  Returns the rule pattern associated to this builder.

  Returns:
    The rule pattern associated to this builder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.